Bug 820944 - JavaScript uses excessive amount of CPU power
JavaScript uses excessive amount of CPU power
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Performance (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks: BZ42
  Show dependency treegraph
 
Reported: 2012-05-11 07:50 EDT by Mikolaj Izdebski
Modified: 2014-10-12 18:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.2.1-0.rc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 02:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-11 07:50:16 EDT
Description of problem:
During advanced search BZ hangs web browser until JavaScript is aborted.

How reproducible:
Always.

Steps to Reproduce:
1. Go to Search -> Advanced Search
2. Select Classification: Fedora
3. Select Product: Fedora
  
Actual results:
After selecting produce Fedora: the browser appears to hang up. It eats 100% CPU. After some time (like half a minute), a message box appears saying:

  A script on this page may be busy, or it may have stopped responding. You can
  stop the script now, or you can continue to see if the script will complete.

  Script: https://partner-bugzilla.redhat.com/js/productform.js:300

Expected results:


Additional info:

I'm using RHEL 6.2
firefox-3.6.24-3.el6_1.x86_64
Comment 2 Simon Green 2012-05-14 02:48:19 EDT
Now uses less power, but still quite a lot when displaying Fedora components (there is a whole lot of them). I'll see how this goes before making more changes.

  -- simon
Comment 3 Christoph Wickert 2012-06-08 08:54:42 EDT
Still very bad performance. Even though I have a fast machine (Intel i5 @ 2.40GHz, 4 GB RAM) it hangs every time.

Note You need to log in before you can comment on or make changes to this bug.